#
# Conditional build:
%bcond_with	tests		# ASL tests

Summary:	ACPI Component Architecture - an assembler and disassembler for DSDT tables
Summary(pl.UTF-8):	ACPI CA - asembler i disasembler dla tablic DSDT
Name:		acpica
Version:	20181031
Release:	1
License:	GPL v2
Group:		Development/Tools
Source0:	https://acpica.org/sites/acpica/files/%{name}-unix-%{version}.tar.gz
# Source0-md5:	cea3f668b536ec56ae878a3239035f26
Source1:	https://acpica.org/sites/acpica/files/acpitests-unix-%{version}.tar.gz
# Source1-md5:	745791d46298c30cc7ee851ae045dbb0
Source2:	iasl.1
Source3:	acpibin.1
Source4:	acpidump.1
Source5:	acpiexec.1
Source6:	acpihelp.1
Source7:	acpinames.1
Source8:	acpisrc.1
Source9:	acpixtract.1
Patch0:		debian-big_endian.patch
Patch1:		debian-unaligned.patch
Patch6:		int-format.patch
Patch9:		template.patch
Patch10:	free.patch
Patch12:	ppc64le.patch
Patch13:	arm7hl.patch
Patch14:	big-endian-v2.patch
Patch15:	be-tpm2.patch
Patch16:	mips-be-fix.patch
Patch17:	cve-2017-13693.patch
Patch18:	cve-2017-13694.patch
Patch19:	cve-2017-13695.patch
Patch20:	str-trunc-warn.patch
Patch21:	ptr-cast.patch
Patch22:	aslcodegen.patch
URL:		https://acpica.org/
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	sed >= 4.0
Provides:	iasl
Obsoletes:	iasl
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ACPI Component Architecture - an assembler and disassembler for DSDT
tables.

%description -l pl.UTF-8
Pakiet ACPI Component Architecture zawiera asembler i disasembler do
tablic DSDT.

%prep
%setup -q -n %{name}-unix-%{version}
tar -x --strip-components=1 -f %{SOURCE1}
%patch0 -p1
%patch1 -p1
%patch6 -p1
%patch9 -p1
%patch10 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1
%patch20 -p1
%patch21 -p1
%patch22 -p1

%build
%define	makeopts \\\
	HOST=_LINUX \\\
	CC="%{__cc}" \\\
	OPT_CFLAGS="%{rpmcflags}" \\\
	OPT_LDFLAGS="%{rpmcflags} %{rpmldflags}"

%{__make} %{makeopts}

%if %{with tests}
%{__make} %{makeopts} -C tests/templates

cd tests

# ASL tests
./aslts.sh # relies on non-zero exit
[ $? -eq 0 ] || exit 1

# misc tests
#./run-misc-tests.sh $RPM_BUILD_ROOT%{_bindir} %{version}

# Template tests
cd templates
if [ -f diff.log ]; then
	if [ -s diff.log ]; then
		# implies errors occurred
		exit 1
	fi
fi
cd ..
%endif

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_mandir}/man1
cp -p %{SOURCE2} %{SOURCE3} %{SOURCE4} %{SOURCE5} %{SOURCE6} %{SOURCE7} %{SOURCE8} %{SOURCE9} \
	$RPM_BUILD_ROOT%{_mandir}/man1

%{__rm} $RPM_BUILD_ROOT%{_bindir}/acpiexamples

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc changes.txt source/compiler/new_table.txt
%attr(755,root,root) %{_bindir}/acpibin
%attr(755,root,root) %{_bindir}/acpidump
%attr(755,root,root) %{_bindir}/acpiexec
%attr(755,root,root) %{_bindir}/acpihelp
%attr(755,root,root) %{_bindir}/acpinames
%attr(755,root,root) %{_bindir}/acpisrc
%attr(755,root,root) %{_bindir}/acpixtract
%attr(755,root,root) %{_bindir}/iasl
%{_mandir}/man1/acpibin.1*
%{_mandir}/man1/acpidump.1*
%{_mandir}/man1/acpiexec.1*
%{_mandir}/man1/acpihelp.1*
%{_mandir}/man1/acpinames.1*
%{_mandir}/man1/acpisrc.1*
%{_mandir}/man1/acpixtract.1*
%{_mandir}/man1/iasl.1*
%changelog
* Thu Jan 17 2019 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/acpica.git;a=log;h=master

* Tue Nov 20 2018 Jakub Bogusz <qboosh@pld-linux.org> 25d7dd9
- updated to 20181031
- updated big_endian,unaligned,int-format,ppc64le patches from Debian
- removed obsolete OPT_LDFLAGS,x32 patches (merged upstream)
- removed name-miscompare,asllookup-miscompare,re-enable-big-endian,asllookup-ppc64,update-big-endian patches (merged into debian-big_endian patch)
- merged big-endian-v2,be-tpm2,mips-be-fix,cve-2017-1369{3,4,5},str-trunc-warn,ptr-cast,aslcodegen patches from Debian

* Mon Jun 12 2017 Jakub Bogusz <qboosh@pld-linux.org> 5876ddb
- added x32 patch

* Mon Jun 12 2017 Jakub Bogusz <qboosh@pld-linux.org> 77760c9
- updated to 20170303 with current Fedora patches
- added man pages from Fedora

* Mon Mar 23 2015 Elan Ruusamäe <glen@delfi.ee> d7d54e9
- preparations to run tests

* Fri Mar 20 2015 Elan Ruusamäe <glen@delfi.ee> b3f0bd1
- use OPT_LDFLAGS

* Fri Mar 20 2015 Elan Ruusamäe <glen@delfi.ee> f3dfbd7
- add tests tarball, add patches from fedora

* Fri Mar 20 2015 Elan Ruusamäe <glen@delfi.ee> 9322a90
- set $HOST env to make

* Fri Mar 20 2015 Elan Ruusamäe <glen@delfi.ee> e8495c1
- up to 20141107

* Fri Sep 05 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> fcb656f
- up to 20140828

* Sun Dec 08 2013 Jan Rękorajski <baggins@pld-linux.org> 659b344
- updated to 20131115
- use GPL-licensed sources

* Wed Feb 08 2012 Mariusz Mazur <mmazur@pld-linux.org> cc32295
- up to 20120111; stbr

* Sun Jan 09 2011 Jakub Bogusz <qboosh@pld-linux.org> ca54f0c
- updated to 20101209

* Tue Aug 03 2010 Bartłomiej Zimoń <cactus@pld-linux.org> d614584
- up to 20100702

* Tue Nov 24 2009 sparky <sparky@pld-linux.org> 92c5d0e
- perl is not a part of minimal builder instalation, BR: sed >= 4.0 instead
- rpmldflags

* Tue Jun 23 2009 Tomasz Pala <gotar@pld-linux.org> adb0388
- make -j1

* Tue Jun 23 2009 Tomasz Pala <gotar@pld-linux.org> 2aa493a
- upgraded to 20090521

* Wed Feb 18 2009 Karol Krenski <charles@pld-linux.org> 900d684
- BR: flex

* Thu Sep 25 2008 arvenil <arvenil@pld-linux.org> af96d9b
- up to 20080829

* Mon Aug 25 2008 Jakub Bogusz <qboosh@pld-linux.org> 76966dd
- package acpisrc tool and some docs

* Mon Aug 25 2008 Jakub Bogusz <qboosh@pld-linux.org> be63225
- updated URLs
- let License mean at least something offline
- pl, cleanup

